org.apache.poi.xddf.usermodel.chart

## Class XDDFView3D

- java.lang.Object
- - org.apache.poi.xddf.usermodel.chart.XDDFView3D

-     public class XDDFView3D
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XDDFView3D(org.openxmlformats.schemas.drawingml.x2006.chart.CTView3D view3D)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getDepthPercent()`
    `java.lang.Integer` | `getHPercent()`
    `java.lang.Short` | `getPerspectiveAngle()`
    `java.lang.Byte` | `getXRotationAngle()`
    `java.lang.Integer` | `getYRotationAngle()`
    `java.lang.Boolean` | `hasRightAngleAxes()`
    `void` | `setDepthPercent(java.lang.Integer percent)`
    `void` | `setHPercent(java.lang.Integer percent)`
    `void` | `setPerspectiveAngle(java.lang.Short perspective)`
    `void` | `setRightAngleAxes(java.lang.Boolean rightAngles)`
    `void` | `setXRotationAngle(java.lang.Byte rotation)`
    `void` | `setYRotationAngle(java.lang.Integer rotation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFView3D

          @Internal
          protected XDDFView3D(org.openxmlformats.schemas.drawingml.x2006.chart.CTView3D view3D)

  - ### Method Detail

    - #### getXRotationAngle

          public java.lang.Byte getXRotationAngle()

    - #### setXRotationAngle

          public void setXRotationAngle(java.lang.Byte rotation)

    - #### getYRotationAngle

          public java.lang.Integer getYRotationAngle()

    - #### setYRotationAngle

          public void setYRotationAngle(java.lang.Integer rotation)

    - #### hasRightAngleAxes

          public java.lang.Boolean hasRightAngleAxes()

    - #### setRightAngleAxes

          public void setRightAngleAxes(java.lang.Boolean rightAngles)

    - #### getPerspectiveAngle

          public java.lang.Short getPerspectiveAngle()

    - #### setPerspectiveAngle

          public void setPerspectiveAngle(java.lang.Short perspective)

    - #### getDepthPercent

          public java.lang.Integer getDepthPercent()

    - #### setDepthPercent

          public void setDepthPercent(java.lang.Integer percent)

    - #### getHPercent

          public java.lang.Integer getHPercent()

    - #### setHPercent

          public void setHPercent(java.lang.Integer percent)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.